/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/


/**
*   FONTS IMPORT
*/

@import url('https://fonts.googleapis.com/css2?family=Titillium+Web:wght@200;300;400;500&display=swap');


/**
*   TYPOs
*/

body{
    font-family: 'Titillium Web', sans-serif;
    font-size: 35px;
    line-height: 37px;
    color:#0B0B0B;
}


h1{
    font-size: 45px;
    line-height: 45px;
    color:#ffffff;
    font-weight: 500;
	text-transform: uppercase;
}


.h1-size-2 h1{
    font-size: 40px;
    line-height: 40px;
    color:#ffffff;
    font-weight: 500;
}

.h1-size-3 h1{
    font-size: 65px;
    line-height: 65px;
    color:#ffffff;
    font-weight: 500;
}


h2{
    font-size: 65px;
    margin-bottom: 40px!important;
}


.h2-size-2 h2{
    font-size: 40px;
    line-height: 40px;
    margin-bottom: 40px!important;
    font-weight: 600;
}


.h2-style-1{
    color:#E37A30;
}

.h2-style-2{
    color:#47A389;
}

.h2-style-3{
    color:#ffffff;
}

.pre-title{
    font-size: 25px;
    letter-spacing: 2px;
}

.pre-title.style-1{
    color:#D4BA47;
}

.pre-title.style-2{
    color:#5288A3;
}



@media screen and (max-width:767px){

body{
    font-size: 25px;
    line-height: 27px;

}

h1{
    font-size: 45px;
    line-height: 45px;

}


.h1-size-3 h1{
    font-size: 45px;
    line-height: 45px;

}
    

h2 {
    font-size: 50px;
    margin-bottom: 20px!important;
}

}


/**
*   BUTTON
*/

.cta{
    background-color: transparent;
}

.cta a{
    font-size: 30px!important;
    line-height: 30px;
    background-color: transparent;
    color:#0B0B0B!important;
}

.cta-2 a{
    border:2px solid #E37A30;
    border-radius: 50px!important;
}

.cta-2 a:hover{
    background-color: #E37A30;
    color: #fff!important;
}


.cta-3 a{
    border:2px solid #ffffff;
    border-radius: 50px!important;
    color:#ffffff!important;
}

.cta-3 a:hover{
    background-color: #fff;
    color: #E37A30!important;
}

@media screen and (max-width:767px){
.cta a {
    font-size: 20px!important;
    line-height: 20px;
}
}


/**
*   NAV
*/

#primary-menu{
    display:none;
}

.main-navigation{
    position: absolute;
    width: 100%;
    background-color: transparent;
}

.main-nav a{
font-size: 30px;
}


.main-navigation .main-nav ul li:hover > a{
    color:#fff!important;
}

.main-navigation .main-nav ul li > a:hover{
    color:#E37A30!important;
}

.slideout-navigation.main-navigation .main-nav ul li[class*="current-menu-"] > a{
    color:#E37A30!important;
}

.slideout-navigation.do-overlay .slideout-menu li {
    margin-bottom: 10px;
    margin-top: 10px;
}

#menu-item-756{ margin-top:100px;margin-bottom: 20px;}

#menu-item-756 > a:first-child {display:none}

#menu-item-756{
    position: absolute;
    bottom: 30px;
    left: 0px;
}

.navigation-branding{
    margin: auto!important;
}

.navigation-branding img {
    height: 100px!important;
    margin-top: 20px;
}

.sticky-navigation-logo img{ margin-top: 0px;}

.site-logo,
.sticky-navigation-logo{
    margin-left: 90px;
}

nav.is_stuck{
    background-color: #4583A3;
}

nav.is_stuck .navigation-branding img {
    height: 70px!important;
}


.pro-menu-bars svg, .icon-menu-bars svg, .pro-close svg {
    fill: #fff;
    font-size: 32px;
    top: 0.6em;
    margin-right: 0;
    margin-left: 25px;
}

@media screen and (max-width:767px){
.pro-close svg {
    margin-left: 0px;
}
}

#sticky-navigation .gp-icon svg {
    top: 0.3em;
}


.menu-toggle .gp-icon+.mobile-menu{display:none}

.slideout-navigation img{
	margin-top: 30px;
    position: absolute;
    width: 231px;
    left: 50%;
    margin-left: -116px;
}

.slideout-navigation.do-overlay .inside-navigation .main-nav, .slideout-navigation.do-overlay .inside-navigation .slideout-widget{
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
    margin-bottom: 0px!important;
}

.main-navigation .main-nav>ul {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
}

#generate-slideout-menu{background-image: url('/wp-content/uploads/back-menu.jpg'); background-size: cover; background-position: center center;}


@media screen and (min-width:769px){
	
 .pro-close svg {
    top: 1.1em;
	right: 20px; 
 }
	
}

@media screen and (max-width:768px){

    .main-navigation a {
    font-size: 25px;
    }

    .navigation-branding img {
        height: 80px!important;
    }

    .gp-icon svg {
        margin-right: 0px;
    }
    
    .site-logo,
    .sticky-navigation-logo{
        margin-left: 0px;
    }

    .navigation-branding{
        margin: 0 20px!important;
    }


    .slideout-navigation.do-overlay .inside-navigation .main-nav, .slideout-navigation.do-overlay .inside-navigation .slideout-widget{height: auto!important; margin-top: 160px!important;}

    .slideout-navigation img{
        margin-top: 0px!important;
       
    }

    #menu-item-756{position: relative; margin-top:60px;margin-bottom: 30px;}

    .main-navigation .main-nav ul li a{line-height: 40px;}

    #sticky-navigation .gp-icon svg {
        top: 0.3em;
    }
    
}

@media screen and (min-width:769px) and (max-width:1300px){
    .main-navigation .main-nav ul li a {
        line-height: 30px;
    }
    }



.sticky-enabled .main-navigation.is_stuck{z-index:1000!important}

.menu-bar-items{
	position: absolute;
    right: 0;
    margin-right: 20px;
}


.site-logo, .sticky-navigation-logo {
    margin-left: 0px;
}

#sticky-navigation .elementor-2692 .elementor-element.elementor-element-1bfe82e{top:10px!important}



/* HOVER EFFECT */

    .img-hover-zoom{align-self: center!important;}

    .img-hover-zoom .elementor-widget-container{border-radius: 50%;}

    .radius-img-ricetta .elementor-widget-container{border-radius: 230px;}

    /* [1] The container */
    .img-hover-zoom .elementor-widget-container{
        overflow: hidden; /* [1.2] Hide the overflowing of child elements */
      }
      
      /* [2] Transition property for smooth transformation of images */
      .img-hover-zoom .elementor-widget-container img {
        transition: transform .5s ease;
      }
      
      /* [3] Finally, transforming the image when container gets hovered */
      .single-event-events-feed:hover .img-hover-zoom .elementor-widget-container img,
      .single-event-home-feed:hover .img-hover-zoom .elementor-widget-container img
      {
        transform: scale(1.2);
      }


      .img-hover-zoom .elementor-widget-container a {display: flex;}

     
    
    




/**
*   FOOTER
*/

footer{
    background:#4583A3;
}


footer .elenco-link a,
footer .copyright{
    font-size: 16px!important;
    color: #fff;
}

footer .elenco-link ul li{
    margin-right: 25px!important;
    margin-left: 25px!important;
}

footer a:hover, .elementor-social-icon:hover i{
color: #E37A30!important;
}


@media screen and (max-width:767px){
    footer ul, footer li , footer a{display: block!important;}

    footer .elenco-link ul li {
        text-align: center!important;
    }

    .elementor-social-icon i{width: auto!important;}
}


/**
*   HOME
*/

.elementor-slide-heading{
    font-size:82px!important;
}

.elementor-slide-button{
    border: 0px!important;
    border-bottom: 2px solid #FFF!important;
    font-size: 28px!important;
    width:auto;
    color:#FFF!important;
    border-radius: 0!important;
    margin-top: 50px;
}


.single-event-home-feed a{
    font-size: 23px!important;
    color:#FFFFFF!important;
}


@media screen and (max-width:767px){
.elementor-slide-heading {
    font-size: 35px!important;
}
}


@media screen and (max-width:1505px){
.home-slider .elementor-slide-heading br{display:none}
}


.eventi{overflow-x:hidden}

/**
*   RUBINA
*/

.above-the-fold.rubina{
    background-color: #47A389;
}

.video-rubina .elementor-custom-embed-image-overlay{
    pointer-events: none;
    cursor: default;
    text-decoration: none;
    background-size: contain!important;
}

@media screen and (min-width:768px){

.descrizione p{
    font-size: 30px;
    line-height: 32px;
}

}



/**
*   RADICI
*/

.above-the-fold.radici{
    background-color: #D4BA47;
}


@media screen and (max-width:1075px){
    .above-the-fold.radici .descrizione br{display:none}
    .above-the-fold.radici .descrizione span br{display:block!important}
}


@media screen and (max-width:1380px){
    .radicilab br{display:none}
    .radicilab strong br{display:block!important}
}

@media screen and (min-width:768px){

.descrizione p{
    font-size: 30px;
    line-height: 32px;
}

}






/**
*   RACCONTI
*/

.above-the-fold.racconti{
    background-color: #4583A3;
}

.above-the-fold.racconti p{
    color: #ffffff;
}



.titolo-post-ricetta a{font-style: normal!important;}

.page-id-481 .titolo-post-ricetta h3{min-height: 87px;}

#filter_racconti .elementor-field-type-submit{display:none}


#form-field-filtro_racconti{
    background-color: transparent; 
    color:#fff; 
    padding: 12px 12px;
}


#form-field-filtro_racconti:focus{
    background-color: transparent;
    -webkit-box-shadow: none; 
    box-shadow:none; 
    outline: 0;
}

#form-field-filtro_racconti option{background-color: #4583A3;}

.select-caret-down-wrapper .eicon-caret-down{ color:#fff!important; font-size:30px!important}

div[post="racconto"] .img-hover-zoom .elementor-widget-container, .single-event-events-feed .img-hover-zoom .elementor-widget-container{
    width: 412px;
    height: 412px;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
}

div[post="ricetta"] .img-hover-zoom .elementor-widget-container{
    width: 423px;
    height: 580px;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
}


.img-scheda-racconto .elementor-widget-container, .img-scheda-ricetta .elementor-widget-container, .img-scheda-evento .elementor-widget-container,  .img-contatti .elementor-widget-container{
    height: 1000px!important;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
}


@media screen and (max-width:767px){

.img-scheda-racconto .elementor-widget-container, .img-scheda-ricetta .elementor-widget-container, .img-scheda-evento .elementor-widget-container,  .img-contatti .elementor-widget-container{
    height: auto!important;
}

}


.img-evento-home .elementor-widget-container{
    width: 290px!important;;
    height: 290px!important;;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
}



@media screen and (max-width:1480px){

div[post="racconto"] .img-hover-zoom .elementor-widget-container, .single-event-events-feed .img-hover-zoom .elementor-widget-container{
    width: 332px;
    height: 332px;
}

div[post="ricetta"] .img-hover-zoom .elementor-widget-container{
    width: 343px;
    height: 500px;
}

}


@media screen and (max-width:1200px){
div[post="racconto"] .img-hover-zoom .elementor-widget-container, .single-event-events-feed .img-hover-zoom .elementor-widget-container {
    width: 290px;
    height: 290px;
}

div[post="ricetta"] .img-hover-zoom .elementor-widget-container {
    width: 290px;
    height: 410px;
}

}

/**
*   EVENTI
*/

.above-the-fold.eventi{
    background-color: #E37A30;
}


.above-the-fold.eventi p{
    color: #ffffff;
}

.single-event-events-feed a{
    font-size: 25px!important;
    color:#000!important;
    font-style: italic;
}



.img-listing, .img-listing div {overflow: hidden}


.single-event-events-feed:hover a{color:#E37A30!important; font-style: normal!important; font-weight: 500!important;  font-size: 26px!important;}


.page-id-587 .icon-listing img, .single-eventi .icon-listing img, 
.page-id-587 .title-news, .single-eventi .title-news{display:none}



/**
*  CONTATTI
*/
.form-contatti{
overflow-x: hidden;
}

.form-contatti input, .form-contatti textarea {
    box-shadow: inset 0px 0px 10px #dedede;
}

.elementor-message {
    padding: 10px 0px;
    margin: 20px 0!important;
    text-align: center!important;
}

.elementor-button[type="submit"]:hover {
    color: #fff!important;
    background-color: #E37A30!important;
}

/**
*   TEMPLATE SINGOLO EVENTO
*/

.above-the-fold.singolo-evento{
    background-color: #E37A30;
}

.above-the-fold.singolo-evento p{
    color: #5288A3;
}



/**
*   TEMPLATE SINGOLA NEWS
*/

.above-the-fold.singola-news{
    background-color: #4583A3;
}

.above-the-fold.singola-news p{
    color: #E37A30;
}


/**
*   TEMPLATE SINGOLA RICETTA
*/

.ingredienti h1,.ingredienti h2,.ingredienti h3,.ingredienti h4,.ingredienti h5,.ingredienti h6 {font-size:25px!important; color:#000!important}

.ingredienti p{margin-bottom:20px}

.icone-ricetta img {margin-right: 10px; width: 41px;}

.icone-ricetta p {
    display: flex;
    align-items: center;
    justify-content: left; 
    color:#050505; 
    font-size: 20px; 
    font-weight: 400;
    float: left;
    margin-right: 30px;
}

.consiglio h2{margin-bottom: 20px!important;}

.consiglio h2::after{
    content: "";
    border: 1px solid #CBCBCB;
    width: 80%;
    margin-left: 20px;
    margin-top: 15px;
    position: absolute;
}


.consiglio p{margin-bottom: 0px;}


.ricette-template-default .altre-ricette h3{min-height: 87px;}


@media screen and (max-width:767px){
.consiglio h2::after{
    width: 50%;
}
}



/* SHOP */

@media screen and (max-width:767px){
.woocommerce-shop .e-con, .woocommerce-shop  .e-con>.e-con-inner {
    display: block;
}
}

.woocommerce ul.products li.product a img{margin:0px}
.woocommerce-loop-product__title{
	width: 85%;
    margin: 0 auto!important;
    background-color: #ffffff;
    margin-top: -30px!important;
    z-index: 2;
    position: relative;
    border-radius: 50px;
	margin-bottom:0px!important
}
.woocommerce ul.products li.product .button {margin-top:10px}

.woocommerce a.added_to_cart {display:none!important}



.elementor-menu-cart__container{
	overflow:initial!important;
}


.elementor-menu-cart__main{
	max-height: fit-content!important;
	height: 100vh!important;
	width: 500px!important;
}

.elementor-menu-cart__toggle .elementor-button{border:none!important}
.elementor-menu-cart__toggle .elementor-button:hover, .elementor-menu-cart__toggle .elementor-button:hover .elementor-button-icon{color:#fff!important}
.elementor-menu-cart--items-indicator-bubble .elementor-menu-cart__toggle .elementor-button-icon[data-counter]:before{
	font-size: 15px!important;
    border: 2px solid #fff!important;
    font-weight: 700!important;
}
.elementor-menu-cart__toggle .elementor-button-icon[data-counter]:before {
 	right: -18px!important;
    top: -5px!important;
}
.elementor-menu-cart__product-image img{border-radius: 10px!important;}
.elementor-menu-cart__product {
    grid-template-columns: 22% auto!important;
}
.elementor-menu-cart__subtotal{padding-top:50px!important}
.elementor-menu-cart__product-price .product-quantity {
    font-weight: 400;
}

.elementor-menu-cart__footer-buttons .elementor-button--view-cart{padding: 22px 20px!important;}


.pswp__caption{display:none!important}

.woocommerce-notices-wrapper{display:none}

@media screen and (max-width:767px){
	.elementor-2584 .elementor-element.elementor-element-50b6eb6 .quantity .qty{padding:0px!important}
	.elementor-2584 .elementor-element.elementor-element-50b6eb6 .cart button {
		font-size: 20px;
		padding: 20px 20px 20px 20px;

	}
}


/* SCHEDA PRODOTTO */

.woocommerce-product-gallery__image, .woocommerce-product-gallery__image img{border-radius:20px!important}
.woocommerce-product-gallery__trigger{
    display: block!important;
    position: absolute;
    z-index: 99;
}

img.emoji{width:auto!important; height:auto!important}

.cart button {margin-left:20px}
.minus, .plus {display:none!important}
.quantity.buttons-added{float:left; margin-right:20px}
.quantity {float:left; margin-right:20px} 

.quantity .qty{
    padding: 8px 0px 8px 0px!important;
    width: 80px!important;
    border-radius: 10px!important;
}

@media screen and (max-width:767px){
	
	
	.single-product .above-the-fold{padding-right:0px!important; padding-left:0px!important}
	
	.quantity {margin-right:10px} 
	.quantity .qty {
    	padding: 6px 0px 6px 0px!important;
		width: 50px!important;
	}
	 .cart button {
		font-size:17px!important;
	}
	
	.woocommerce-product-gallery li {
    margin: 0px 5px;
	}
	
	.elementor-element-520de36d .e-con-inner {padding-top:0px!important}
}

@media screen and (max-width:971px){
	 .cart button {
		padding: 16px 20px 16px 20px!important;
	}
}


@media only screen and (max-width: 865px) and (min-width:768px)  {
	.quantity .qty {
		width: 60px!important;
	}
}

.woocommerce-product-gallery ol{margin:0px; margin-top:15px;}
.woocommerce-product-gallery li{float:left; list-style-type: none; margin: 0px 15px; cursor:pointer}

@media screen and (max-width:890px){
.woocommerce-product-gallery li {
    margin: 0px 5px;
	width: 60px;
}
}


.woocommerce-product-gallery__image {
  pointer-events: none;
}




@media (max-width: 767px){
.single-product .cosa-faccio .e-con-inner{

    padding-left: 12px;
    padding-right: 12px;
}
	
	.single-product .cosa-faccio .e-con-inner .e-con {padding:0px}

}





/* PAGINA CARRELLO  */

.elementor-widget-woocommerce-cart .woocommerce {
    font-family: 'Titillium Web'!important;
}


.woocommerce-cart .button {
	border-radius: 40px!important;
	background-color:#E37A30!important;
	color:#fff!important;
	font-weight:600!important;
}

.woocommerce-info {
    border-top-color: #E37A30!important;
}

.woocommerce-info::before {
    color: #E37A30!important;
}

.e-apply-coupon{ 
	font-size: 15px!important;
    padding: 18px!important;
	font-family: 'Titillium Web'!important;
	text-transform: uppercase;
}

.elementor-widget-woocommerce-cart .woocommerce .wc-proceed-to-checkout .checkout-button{font-size:25px!important}

.elementor-widget-woocommerce-cart .woocommerce .cart_totals h2, .elementor-widget-woocommerce-cart .woocommerce .cart th{
    font-size: 18px!important;
    font-weight: 600!important;
}


.elementor-widget-woocommerce-cart .product-name{font-size:20px!important}

.elementor-widget-woocommerce-cart .woocommerce table.cart td span {
    font-size: 18px!important;
}


#content table.cart .product-thumbnail, .woocommerce table.cart .product-thumbnail, .woocommerce-page #content table.cart .product-thumbnail, .woocommerce-page table.cart .product-thumbnail {
    display: block!important;
}

.product-subtotal{margin-top:40px}

.elementor-widget-woocommerce-cart .woocommerce .cart td:before {
    font-size: 20px!important;
}

.elementor-widget-woocommerce-cart .woocommerce table.cart img {
    left: -5px;
    position: relative;
	width: 95px!important;
}

.elementor-widget-woocommerce-cart .woocommerce table.shop_table .product-remove a:hover{color:#E37A30!important;}
.woocommerce a.remove {
    font-size: 1.3em;
    padding-right: 10px;
}

@media screen and (max-width:767px){
	
	.woocommerce a.remove {
		font-size: 1.8em;
		padding-right: 0px;
	}
	
	.elementor-widget-woocommerce-cart .woocommerce table.cart img {
    	margin-bottom: 20px;
	}

	.e-shop-table{padding:0px!important}
	
	 .woocommerce table.cart .quantity {
		float: right!important;
		margin-right: 0px!important;
	}
	
	 .woocommerce table.cart  .quantity .qty {
   		width: 50px!important; 
		text-align: center;
	}
	
	.woocommerce-cart-form__cart-item td{padding:0px!important}
}



.elementor-widget-woocommerce-cart .woocommerce .input-text.qty {
    text-align: center!important;
    font-size: 16px!important;
    max-height: initial!important;
    width: 50px!important;
    border: 2px solid #e37a30!important;
    background-color: #fff!important;
    color: #000!important;
    padding: 10px 0px 10px 10px!important;
}




@media screen and (max-width:767px){

.elementor-widget-woocommerce-cart .woocommerce .input-text.qty {
    padding: 5px 0px 5px 0px!important;
}

}